package com.gic.haoban.manage.api.enums;

/**
 * Created by hua on 2021/12/17.
 */
public enum NoticeMessageTypeEnum {

    ACTIVITY_START(1001, "活动开始通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_NEW(1002, "活动上新通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_DEL(1003, "活动删除通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_OFFLINE(1004, "活动下线通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_END(1005, "活动结束通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_RANK(1006, "活动排名通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index"),
    ACTIVITY_AWARD(1007, "活动奖励通知", NoticeMessageCategoryTypeEnum.ACTIVITY.getType(), "activity_message", "/pages/route/index");
    /**
     * 消息类型
     */
    private int type;
    /**
     * 消息名称
     */
    private String name;
    /**
     * 大类
     */
    private int category;
    /**
     * 模板类型
     */
    private String templateCode;

    /**
     * 活动页面
     */
    private String pageUrl;

    NoticeMessageTypeEnum(int type, String name, int category, String templateCode, String pageUrl) {
        this.type = type;
        this.name = name;
        this.category = category;
        this.templateCode = templateCode;
        this.pageUrl = pageUrl;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getCategory() {
        return category;
    }

    public void setCategory(int category) {
        this.category = category;
    }

    public String getPageUrl() {
        return pageUrl;
    }

    public void setPageUrl(String pageUrl) {
        this.pageUrl = pageUrl;
    }

    public static NoticeMessageTypeEnum getByType(int type) {
        for (NoticeMessageTypeEnum messageTypeEnum : values()) {
            if (messageTypeEnum.getType() == type) {
                return messageTypeEnum;
            }
        }
        return null;
    }
}
